## atari800 0.9.8a

=== Makefile ===
all:
	@echo There are five different Makefiles for four supported architectures:
	@echo
	@echo For UNIX type \"cp Makefile.unix Makefile\"
	@echo For Amiga copy Makefile.amiga to Makefile
	@echo For MS-DOS type \"copy Makefile.dos Makefile\"
	@echo For MS-DOS with Allegro lib type \"copy Makefile.allegro Makefile\"
	@echo For Falcon type \"cp Makefile.falcon Makefile\"
	@echo
	@echo After that you can type \"make\" again.
