## atari800 2.0.3

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 CC = cl
 RC = rc
-# DXSDK = D:\Progra~1\DX90SDK
 
 DEFS =
 LIBS = \
@@ -14,13 +13,8 @@
 	user32.lib winmm.lib
 TARGET = atari800.exe
 
-CFLAGS = /nologo /Fo$@ /O2 /Oy /W3 /I win32\msc /I .
+CFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I .
 LDFLAGS = /nologo
-
-!IFDEF DXSDK
-LIBS = $(LIBS) /link "/libpath:$(DXSDK)\Lib"
-CFLAGS = $(CFLAGS) /I "$(DXSDK)\Include"
-!ENDIF
 
 OBJS = \
 	antic.obj \
@@ -65,6 +59,10 @@
 $(TARGET): $(OBJS)
 	$(CC) /Fe$(TARGET) $(LDFLAGS) $(OBJS) $(LIBS)
 
+# the default .c.obj rule would place the object files in the src directory
+{win32\}.c{win32\}.obj:
+	$(CC) $(CFLAGS) /c /Fo$@ $**
+
 clean:
 	del *.obj
 	del win32\*.obj
