## atari800 2.1.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -17,16 +17,19 @@
 LDFLAGS = /nologo
 
 OBJS = \
+	afile.obj \
 	antic.obj \
 	atari.obj \
 	binload.obj \
 	cartridge.obj \
 	cassette.obj \
+	cfg.obj \
 	colours.obj \
 	compfile.obj \
 	cpu.obj \
 	cycle_map.obj \
 	devices.obj \
+	esc.obj \
 	gtia.obj \
 	input.obj \
 	log.obj \
@@ -34,6 +37,7 @@
 	monitor.obj \
 	mzpokeysnd.obj \
 	pbi.obj \
+	pbi_xld.obj \
 	pia.obj \
 	pokey.obj \
 	pokeysnd.obj \
@@ -46,6 +50,7 @@
 	ui.obj \
 	ui_basic.obj \
 	util.obj \
+	votrax.obj \
 	win32\atari_win32.obj \
 	win32\joystick.obj \
 	win32\keyboard.obj \
