## atari800 2.2.1

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # Invoke with:
 # nmake /f win32\msc\Makefile
 # from the "src" directory.
+# Compile using DirectX 9.0 SDK (Summer 2004)
 
 CC = cl
 RC = rc
@@ -9,11 +10,12 @@
 DEFS =
 LIBS = \
 	libpng.lib zlib.lib \
-	ddraw.lib dinput.lib dsound.lib dxguid.lib gdi32.lib \
-	user32.lib winmm.lib
+	ddraw.lib dinput.lib dsound.lib dxguid.lib gdi32.lib gdiplus.lib d3d9.lib d3dx9.lib \
+	user32.lib winmm.lib advapi32.lib
 TARGET = atari800.exe
 
 CFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I .
+CPPFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I ./
 LDFLAGS = /nologo
 
 OBJS = \
@@ -25,6 +27,9 @@
 	cassette.obj \
 	cfg.obj \
 	colours.obj \
+	colours_external.obj \
+	colours_ntsc.obj \
+	colours_pal.obj \
 	compfile.obj \
 	cpu.obj \
 	cycle_map.obj \
@@ -51,11 +56,16 @@
 	ui_basic.obj \
 	util.obj \
 	votrax.obj \
+	votraxsnd.obj \
 	win32\atari_win32.obj \
 	win32\joystick.obj \
 	win32\keyboard.obj \
 	win32\main.obj \
 	win32\screen_win32.obj \
+	win32\render_gdi.obj \
+	win32\render_gdiplus.obj \
+	win32\render_directdraw.obj \
+	win32\render_direct3d.obj \
 	win32\sound.obj \
 	win32\atari.res
 
@@ -68,6 +78,9 @@
 {win32\}.c{win32\}.obj:
 	$(CC) $(CFLAGS) /c /Fo$@ $**
 
+{win32\}.cpp{win32\}.obj:
+	$(CC) $(CPPFLAGS) /c /Fo$@ $**
+
 clean:
 	del *.obj
 	del win32\*.obj
