=== debian/changelog ===
atari800 (2.2.1) unstable; urgency=low

  * Initial release

 -- trompkins <maciej.stankiewicz@gmail.com>  Thu,  1 Mar 2012 19:45:20 +0100
