=== debian/control ===
Source: atari800
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libreadline5-dev (>= 5.2), libpng12-dev (>= 1.2.37), libsdl1.2-dev (>= 1.2.13)
Standards-Version: 3.7.2

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}
Description: Atari800 is an Atari 800, 800XL, 130XE and 5200 emulator.
XB-Maemo-Display-Name: Atari800
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAACTp
 AAAk6QFQJOf4AAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAA/YSURBVHja1Jl5kORlecc/7/G7+pjumZ57dvZgL3fJcgrE
 QkQNirjxSCAKRiqxNBWs5I9UUhpNJSWJSSUeMUaNVNSqEFwlChKJgEQUS9gA
 6oKwu6x7sOyyc+5MTx/T9+943/zRw7A3i4FU8VZ19f37Pd/nfr6PsNbyaj76
 xA/a7QZhu4V2XIxJwFoQApMkIEBKhRAS1/GpVuf57/u+Qq06j+enuxewFu0I
 tArYs6/0vnu//+DW6Zn53vdc9477P3TjNV/w7XNUF5sIIZfv2WwUWXfedYyu
 vYJlhVqDNUn3tRAIIbrfCYGU+vQAzvYYm1Cv1ygMvIaRsfNAiKV7SfryOT7/
 z7fccuvX77zp+d9/8cu3XrNz51M3fvlzH3+Tk03qnXYHaw0AicrSbIuXxwJn
 e6TUlBfmmDxymKHh8WXNua7DbKvDXXc/cN2J//nJ9l+89mitcN6FF130SKNe
 R2unCyBJcF21DAjEKw8gjkNWrl7H0ZnnmDiyFz/IoLSL52gSY1zfk2Jx6bdK
 SbLpgGzGY2wwbfI5n3w+d5KgLwD4f7BAFLXJ5vp4y9br2bv7MWYn9qC0olAY
 pNVqZTZvXJWamy8DMDzYh+dqhgeyNgiCaYTfFTiJQalunL1cQXy2RwhJu1XH
 9dKce/4bWHPOZh57+C72Pv0YSqe9fC7jplM+jWabmaMLGGMJAs9K0b5tcW5X
 Ubr9uzP5kX+w2PYprn72rvx/SWFCSJI4ora4gPayXPL697J+0+spl0sznU5b
 eZ675Bp26VnIdqN0Zat68NqDO+/8RL0ytUMgAAvWHPNIup+90gBeQCIJwzZB
 KsMFl20dvPTyd340iUOUPF6jSRIitU9PYSM2iTiy9/5zkzi6RQiFNQZr7dIj
 WU6ZrxwAIZDKRTkBUujeqFP7vcr8we8SlyaCwP9UoxnT7oTH/cXzHFrNBnG0
 SJAdprE4w/QzP7kJeLOQeikW7HI9OZvY0C9NZoHSPo4XEEdxutMsvb3TmL+u
 VZvdGof1tFIetr+HZrNJqVyh04lPyFyWMEq6biLAC/LMHv4fMr0r7+od2jBg
 LVHX3Z7XfNcK4lcHYBFCotwAIVyMCf2oXbmmfPTp32pWJ38ziZq92k2htIfS
 qe7vnCxRFDNfLJMYgzjGDTqdEK0l1iTYJEJpD6E0E/t/kMv2jt+h3eDdJg6P
 8X7RDY8lOU4VF6cBIFDaw9E9mCjSrU7prfXG1Htq8/u2tham+juNBaTUuH4P
 2s0QZAZR2iXulLCdo5SK0zRaEUlili0HECcGYUPiqEHYrmLpWqFeneK5Pfe9
 a+0F194glXO7MfFxRjhTLJwEwPXSIHxM1Li6Mrfv2rKYfEdj6sBw69BBSKXw
 Vq3AD4aISw3iJCJplYnCBqIa0GrFDPe5hK05Wu34mALV1VyrHSKTIiaKcdw0
 1oSEYRsv6GVu6nHyAxu+WRjb8oCQqog1XQsIjkFiT0qxJwFo1hfWHtlz73/W
 a0e3tPw24sd7CP/jMcxsDVxF9cJzyP/R23HzaUy9jRSCeq2C73XYtOliah3N
 oz97+pTaCsOY7Y88yUVbVjE42E+z7eD5irDTRDsBE/sfINO38j4vyF1qjAHM
 iR59UokQJ7bT937rk/t8ZjZE/SPIe3YSf/7ObroSAcImtAgpXbaF9f/0ATKd
 mOJcmdVrVtOOPbbd8RD33L+dQ4cO0+5EnHjtoYFeXNfB0YKr37SFD9xwFYND
 AzSaFhO3WKxMMDR+KWsvuPYjWPtZY+JTZ78zdaPN+sIGneslcFPsuW8Ho0A+
 3087SfCUol4pcvDAFAPTJYrNDrl0iu/cs4MvfOV7zMzOEvgax/FotcOT7l2u
 1AgCj+pik1tu/SEPPbqXT37sBi46fy2tMEOubw1zEz8n27f6M4MrL/6ukPqZ
 bjt/bD2xZ64Dazde8uPF8hzaCvTbLmAXkFSKeLU6SaXIM8DYH7yFRidiaqrC
 p774PT7+N19lZnaWdMrHGEG90Tx1A5gYwigmk/Hp7+vh6X2T3PSRr7DjF/vw
 XEM6O4Sf7mdy/wM0F+fuEUKATbpZyyRYE78wIzzfKN58883HB7Gf7pk6tOOa
 ZrXFhjdeiB0bpNrsIDIpKptXMvQnv82Ky19D5UiJu7//OPc/uOOYBi8mScxp
 64/raJRWtNsd4iQhn8tQXFhk975prr5yE34QoN009coUYava3z9yXkpI+UNr
 kxMKvzp9DHSi+MKfPfi1JyozuxlduQpvIE+t2aZdb9I7lEfFMQeeeJa9B47y
 ic98iziJ/w/FXCzHyc0fvZ7fv/6NJKRpNhZpVKcY33g1o+ve8Fpj4se7mu/6
 ktLu6V2oVS/vXrFqU5gIj8VKhc7MPMnCIk5sqD57lLmDs2QzKZ5+ZvIlC++6
 Gt9zTkqvAD95ZBedToQQoJwA7QbMHNpOvTx1j5QaITVCyONG0VMCUEpG6dzo
 NwpDa1hYKGGFwHckWVexUKpRWWxTKPQwN1d58T5FK4LAY3xsgKuuvIi3vfkS
 HOfUtXOhVKfZbHVnYRvjeDkAJvc/MGzi6GtSqm5ZEC/SzFkLXtD3l2Orz0d5
 WSqVRbRSSCXxfQelJD1ZH6VfvFPMZgJ+bdNqLtiyDiEEP3roFzSaHQLfO8WI
 CtpxEUIhhUJKjZfqo7rwDJP7H/wgcBUWzAlWP0kdUaeOtcm0cvyfjo5vvGxu
 cjdxYnAciRQCKQR9+Qzjo4UXBVCu1Pn5E/uW3+fzGXI9aYqlKs8PO8+fDWtH
 yWZ8EiTaTROFTUwcop0UM4e3ky2subt3aENvYk14RgvMTz1BaXYX9fLhj6TS
 PfjpAo1mCxD4ngYBRnhsfculZ+f3jiYV+PT1ZhFAZbFBPpdBSonnvhAP77z6
 MhAO1lqiTh2hHEDgeBmEEEzs+0Eqaje+fWwAnxJAu92g2awRRZ2HExM9ms7k
 6IQxYSwYGR6k2Tbs+uU079x6Bb/zrjecwhUEUnZ5HCklFoiThEajjTGWnkyK
 MIxRSqKX4uG6d1zGla/bREKAsZKwXe0GrHQQUuGnB2hUJzi85953xWH7hjMC
 8LwUnhcQBFmkMB+WSiC0T6PZwfUC+vvSzMzMMDG9wJc+/cdcfP764/kiY5eL
 p5Jdl5NS4Doaz3UwxpAKPMIwptFoccWvb+Lv/uJGWrHC9Xtp1YtI7YO1XRIN
 ibWGJImplQ7RaZU/e0YASRKTJAlR1EEp7ynHTf0o8FO0Wk3K1QYrVwxxzpoR
 Dh2apFar8l/f/Cve8+7LT0gEFgskpvtsrSVODO0wolZvMz27QLPV5kM3vpWv
 /uMfoh2Xnr71LJaniKNGV+C4Qxy1aNRm6bQq9A5uZPXma3AcX56xmdv75N3H
 uIMijjobFsvT+6rleQLfZ3Cwn7DTJEnACJdsJkMh53L3fQ+z7c6H+PH23S9C
 iMGbLj+XD/7ub3DF6zaj3AGM7qNRnaFWeg6pHYyJMXGIG+TJ9o5TGNpIbmAd
 nUaFOA5vT+fH3ndaADt/evuxjR9CSFrNyp3NWuXaeq3C0OAg6XSKdquOVC7S
 SROFEeOjBZr1BR5/6iBPPX2YXx6YYnauQhRGuK5m9fggq8b7ed3FG1i5okCu
 bxzt5khkQKs2R/noXkwSod2ATH4lfUPrKQxtQLoZKsVpSnOHSKUyFEY2vNfx
 Mt8+LYCnHtt2XAMupcIkyXitWjxSWyyR8j0Gh4Zp1UtLPYlAuwHayRAn0Neb
 IXAT4jimXFpAa42Ugp5sDouhUpfENoXjKKRtcXTySYTUZHIryOTHGBjZTCo3
 QrtZp1KcotmsEIUdgiBLYWgNqZ7CGiHk4dPWASU1QooXGjIBjnImvCC9LY46
 7y9XSriuQ0+2m03AErVrhO0afirPYjVkUSikdMDppdWuIgQ0WqUlLlQRRUUq
 1UmscCkMbaZ/dAu9/WswVlAqTjA7/ShxFKK0RzY3QCbb151lpKiDPXzGQmZJ
 CNst5FLPYQGlFFjzp0Kp97tuQLlcJZtJgzBYY0BIBNCqFzFxBEvshdIuJokw
 JsGYiLBdB2tI58dYse4qBlZswQvyLJZnOHzgZzQbi0jpEKTzDI6txnUDoigk
 ikLAEqRz/8oJvdDJAJIY388ihDxudPD8nnnl+LeYJPnwQrFOqVSmv7+XVrsN
 JlkKGIVyVPe1tcRhkzjuYJIIx8swOH4RA2PnkesbJ45i5mf3UykeIY4jtPbI
 94+TzQ0BEmMhDDtLlzIopdBu8DmMgWPa6ZMAOG4KqRyisImQ8pjUKFBSfMzx
 /JviRIm5+RL53hxaOcTWYk3SbbSEIIlDwk4NIRTZ/AoKI1voH3kNjpumsjDJ
 /p0/ZLE8ibUJ2dwIg8Pn4HhptJfD2O5yo0vpdF3ZmgQdZB6UUk+fyGCfwoUs
 YXuRdruGUsd/LZVeDHz/00Eq+PPSQpOFhQoDhR5CEyOsJQzbmKSb/oZXXsLg
 +MX05Edp1IpMH9lFdWGSsFNHSkmud4h0zwDa7UHpFFK7y0zc8wOMEBol1UNC
 e//m+plb7RIgcaY6sOfxby/5bYQQ6rieXSlFFEV+tVpcLBfLjpYJYyP9WGuI
 og6p7BCF4c30j2xCKofy/ASzkztpVI+ilEMmN0Q624cX5JC6a2lrEqRSCKGW
 aBSJUvqoUs42KdU2hHgSa3H9NFK7WGuQZ3KhF9Kng3ZTiBOGaM/vaSPEXzcb
 jb8tF0sU+iLWrN2Mmx4lnVtJo17m0L5HqMwfotUo4qdyFAbXEKTyCO2jvZ4l
 TshgTTfgrQWlHZRy7hdS3Sal/o6QIhQWErNERZ5uqjuVBZK4g5SKVKbAcdSG
 7W5boigWpeKh6rMHD2cnJouMja1g7Tlr8Byo1xYAQ09ugHS2F+1kENJBaR83
 6O2Og9Zgl9ZU2k0dkVJtk1J9XUq118KywAKBWaLcvSD7UizQnVdNElOvzS/v
 Ap6feBzXtUK6Hx8b7f9Ss9nhmQP7iJtzrF+/ir6+YdK5UZSbQztppNKYuIN2
 U0jldbtU7aG0d7cU8jap1F0IuUSrm1NxV78qOy0wJsJL9eM4QdeRlqwllcJN
 jfzLxLM7PpFOqYEN68YZHuyhJ9eHdrNLwqcwSdeSjtfVntb+Qan0bULIb0ip
 D4JdDtiXLPnZsdMC18sspcU6Uqjle7muS5DK/pnA3iaVQslu8fJSBZRy0U4A
 ToDWHo6XvUMqdRtC3AOiq+kTqJJXZkcmBFHYQDk9ZHqHlraIS1YQivH153y9
 1Qr/fmFm35iUWRw/T6pnFO0EaDe9Synnm9r1bheI54w1JHG4tE46u+3Ly7Pk
 s+D5WWzSIAnry6RSbEFaj4HBoeuj5szDJmnhpQfDdG7sDkzy70jxQJcG6W75
 f5UV6ssCQEhNFLaI6s9ikxYIvYwsBJSU20dWnn9uvrBuY0/f+KNgZ4WQy27y
 Sgl+2jT6ajuSV/l51QP43wEAuNZocGU61WwAAAAASUVORK5CYII=
 ====
