## atari800 3.0.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -32,10 +32,13 @@
 	colours_pal.obj \
 	compfile.obj \
 	cpu.obj \
+	crc32.o \
 	cycle_map.obj \
 	devices.obj \
+	emuos.o \
 	esc.obj \
 	gtia.obj \
+	img_tape.o \
 	input.obj \
 	log.obj \
 	memory.obj \
@@ -52,6 +55,7 @@
 	sio.obj \
 	sndsave.obj \
 	statesav.obj \
+	sysrom.o \
 	ui.obj \
 	ui_basic.obj \
 	util.obj \
