## atari800 3.1.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 OBJS = \
 	afile.obj \
 	antic.obj \
+	artifact.obj \
 	atari.obj \
 	binload.obj \
 	cartridge.obj \
