=== debian/control ===
Source: atari800
Section: contrib/otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: libsdl1.2-dev, zlib1g-dev, libreadline-dev, libgl1-mesa-dev, libpng-dev, debhelper, autotools-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Vcs-Git: git://github.com/bobek/aranym800-debian.git
Vcs-Browser: https://github.com/bobek/aranym800-debian

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atari 8-bit emulator for SDL
 Atari800 is an emulator of Atari 8-bit computer systems including the 400, 800,
 1200XL, 600XL, 800XL, 65XE, 130XE, 800XE and the XE Game System,
 and also of the Atari 5200 SuperSystem console.
 .
 The Atari Operating System ROMs are not available with this package, due to
 copyright. You'll have to either make copies of them from an old Atari
 computer, or see README.Debian for other ways to obtain them.
