## atari800 4.0.0

=== src/win32/msc/Makefile ===
--- 
+++ 
@@ -33,13 +33,13 @@
 	colours_pal.obj \
 	compfile.obj \
 	cpu.obj \
-	crc32.o \
+	crc32.obj \
 	cycle_map.obj \
 	devices.obj \
-	emuos.o \
+	emuos.obj \
 	esc.obj \
 	gtia.obj \
-	img_tape.o \
+	img_tape.obj \
 	input.obj \
 	log.obj \
 	memory.obj \
@@ -56,7 +56,7 @@
 	sio.obj \
 	sndsave.obj \
 	statesav.obj \
-	sysrom.o \
+	sysrom.obj \
 	ui.obj \
 	ui_basic.obj \
 	util.obj \
