## atari800 4.1.0

=== debian/changelog ===
atari800 (4.1.0-3) unstable; urgency=medium

  * Add icon into menu (Closes: Ubuntu#1575369)
  * Bump standards to 4.5.0

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 19 Aug 2020 11:26:10 +0200

atari800 (4.1.0-2) unstable; urgency=medium

  * Modernization of package infrastructure to be able to switch
    to e.g. dh_strip (Closes: #968532)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 19 Aug 2020 11:05:34 +0200

atari800 (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Bump debhelper dependency to >= 11, since that's what is used in
    debian/compat.
  * Bump debhelper from old 11 to 12.
  * Use secure URI in Vcs control header.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 17 Dec 2019 08:41:08 +0100
