=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 bld-sdl:
 	if [ -e Makefile ]; then $(MAKE) clean; fi
-	./autogen.sh
 	./configure \
 		 --with-video=sdl --with-sound=sdl
 	$(MAKE)
