=== debian/changelog ===
atari800 (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0 -- released at Atariada.cz

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 10 Jun 2022 19:14:03 +0200

atari800 (4.2.0-4) unstable; urgency=medium

  * Switching to libeditreadline-dev to resolve licensing issue 
    (Closes: #977654)
  * Clarified in the d/copyright why we are in contrib
    (Closes: #977654)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 06 Oct 2021 20:55:50 +0200

atari800 (4.2.0-3) unstable; urgency=medium

  * Fine-tune of the desktop entry.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 06 Oct 2021 12:41:38 +0200

atari800 (4.2.0-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Name (from ./configure), Repository,
    Repository-Browse.
  * Replace menu entry with desktop entry.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 11 Sep 2021 05:09:16 -0000
