=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
-Build-Depends: libsdl1.2-dev, zlib1g-dev, libreadline-dev, libgl1-mesa-dev, libpng-dev, imagemagick, dpkg-dev (>= 1.20), debhelper-compat (= 12)
-Standards-Version: 4.5.1
+Build-Depends: libsdl1.2-dev, zlib1g-dev, libeditreadline-dev, libgl1-mesa-dev, libpng-dev, imagemagick, dpkg-dev (>= 1.21), debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Vcs-Git: https://github.com/bobek/aranym800-debian.git
 Vcs-Browser: https://github.com/bobek/aranym800-debian
 Homepage: https://atari800.github.io
